Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common.security
Class EnumPermission

    java.lang.Object
      |
      +--com.bea.wlpi.common.security.EnumPermission

public class EnumPermission
extends java.lang.Object

Define various WLPI permissions.

Each WLPI permission is identified as an `EnumPermission` object which is accessed as a static member of `EnumPermission`.

This object also contains the associated group id that is used within WLS.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static EnumPermission` | `P_Administer_User` The permission Administer User.
`static EnumPermission` | `P_Configure_Components` The permission Configure Components.
`static EnumPermission` | `P_Configure_System` The permission Configure System.
`static EnumPermission` | `P_Create_Template` The permission Create Template.
`static EnumPermission` | `P_Delete_Template` The permission Delete Template.
`static EnumPermission` | `P_Execute_Template` The permission Execute Template.
`static EnumPermission` | `P_Monitor_Instance` The permission Monitor Instance.
`static EnumPermission[]` | `Permissions` An array of all predefined WLPI permissions which is in the order of `P_Configure_System`, `P_Configure_Components`, `P_Administer_User`, `P_Monitor_Instance`, `P_Create_Template`, `P_Delete_Template`, `P_Execute_Template`.

Method Summary
`java.lang.String` | `getDisplayName()` Return the display name of the permission.
`java.lang.String` | `getGroupName()` Return the WLS group name of the permission.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### P_Configure_System

    public static final EnumPermission P_Configure_System

  The permission Configure System.

### P_Configure_Components

    public static final EnumPermission P_Configure_Components

  The permission Configure Components.

### P_Administer_User

    public static final EnumPermission P_Administer_User

  The permission Administer User.

### P_Monitor_Instance

    public static final EnumPermission P_Monitor_Instance

  The permission Monitor Instance.

### P_Create_Template

    public static final EnumPermission P_Create_Template

  The permission Create Template.

### P_Delete_Template

    public static final EnumPermission P_Delete_Template

  The permission Delete Template.

### P_Execute_Template

    public static final EnumPermission P_Execute_Template

  The permission Execute Template.

### Permissions

    public static final EnumPermission[] Permissions

  An array of all predefined WLPI permissions which is in the order of `P_Configure_System`, `P_Configure_Components`, `P_Administer_User`, `P_Monitor_Instance`, `P_Create_Template`, `P_Delete_Template`, `P_Execute_Template`.

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  Return the display name of the permission.

  Returns:
    The display name of the permission.

### getGroupName

    public java.lang.String getGroupName()

  Return the WLS group name of the permission.

  Returns:
    The WLS group name of the permission.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)